| gclib 2.4.1 Galil Communications Library

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
gclib.GDataRecord2103 Struct Reference

Data record struct for DMC-2103 controllers. More...

Inheritance diagram for gclib.GDataRecord2103:

## Public Member Functions
byte[] | byte_array ()
| Returns the data record as a byte array and allows for access to individual bytes.

## Public Attributes
UB | header_0
| 1st Byte of Header.
UB | header_1
| 2nd Byte of Header.
UB | header_2
| 3rd Byte of Header.
UB | header_3
| 4th Byte of Header.
UW | sample_number
| sample number.
UB | input_bank_0
| general input bank 0 (inputs 1-8).
UB | input_bank_1
| general input bank 1 (inputs 9-16).
UB | input_bank_2
| general input bank 2 (inputs 17-24).
UB | input_bank_3
| general input bank 3 (inputs 25-32).
UB | input_bank_4
| general input bank 4 (inputs 33-40).
UB | input_bank_5
| general input bank 5 (inputs 41-48).
UB | input_bank_6
| general input bank 6 (inputs 49-56).
UB | input_bank_7
| general input bank 7 (inputs 57-64).
UB | input_bank_8
| general input bank 8 (inputs 65-72).
UB | input_bank_9
| general input bank 9 (inputs 73-80).
UB | output_bank_0
| general output bank 0 (outputs 1-8).
UB | output_bank_1
| general output bank 1 (outputs 9-16).
UB | output_bank_2
| general output bank 2 (outputs 17-24).
UB | output_bank_3
| general output bank 3 (outputs 25-32).
UB | output_bank_4
| general output bank 4 (outputs 33-40).
UB | output_bank_5
| general output bank 5 (outputs 41-48).
UB | output_bank_6
| general output bank 6 (outputs 49-56).
UB | output_bank_7
| general output bank 7 (outputs 57-64).
UB | output_bank_8
| general output bank 8 (outputs 65-72).
UB | output_bank_9
| general output bank 9 (outputs 73-80).
UB | error_code
| error code.
UB | general_status
| general status
UW | s_plane_segment_count
| segment count of coordinated move for S plane.
UW | s_plane_move_status
| coordinated move status for S plane.
SL | s_distance
| distance traveled in coordinated move for S plane.
UW | t_plane_segment_count
| segment count of coordinated move for T plane.
UW | t_plane_move_status
| Coordinated move status for T plane.
SL | t_distance
| distance traveled in coordinated move for T plane.
UW | axis_a_status
| A axis status.
UB | axis_a_switches
| A axis switches.
UB | axis_a_stop_code
| A axis stop code.
SL | axis_a_reference_position
| A axis reference position.
SL | axis_a_motor_position
| A axis motor position.
SL | axis_a_position_error
| A axis position error.
SL | axis_a_aux_position
| A axis auxiliary position.
SL | axis_a_velocity
| A axis velocity.
SW | axis_a_torque
| A axis torque.
UW | axis_a_analog_in
| A axis analog input.
UW | axis_b_status
| B axis status.
UB | axis_b_switches
| B axis switches.
UB | axis_b_stop_code
| B axis stop code.
SL | axis_b_reference_position
| B axis reference position.
SL | axis_b_motor_position
| B axis motor position.
SL | axis_b_position_error
| B axis position error.
SL | axis_b_aux_position
| B axis auxiliary position.
SL | axis_b_velocity
| B axis velocity.
SW | axis_b_torque
| B axis torque.
UW | axis_b_analog_in
| B axis analog input.
UW | axis_c_status
| C axis status.
UB | axis_c_switches
| C axis switches.
UB | axis_c_stop_code
| C axis stop code.
SL | axis_c_reference_position
| C axis reference position.
SL | axis_c_motor_position
| C axis motor position.
SL | axis_c_position_error
| C axis position error.
SL | axis_c_aux_position
| C axis auxiliary position.
SL | axis_c_velocity
| C axis velocity.
SW | axis_c_torque
| C axis torque.
UW | axis_c_analog_in
| C axis analog input.
UW | axis_d_status
| D axis status.
UB | axis_d_switches
| D axis switches.
UB | axis_d_stop_code
| D axis stop code.
SL | axis_d_reference_position
| D axis reference position.
SL | axis_d_motor_position
| D axis motor position.
SL | axis_d_position_error
| D axis position error.
SL | axis_d_aux_position
| D axis auxiliary position.
SL | axis_d_velocity
| D axis velocity.
SW | axis_d_torque
| D axis torque.
UW | axis_d_analog_in
| D axis analog input.
UW | axis_e_status
| E axis status.
UB | axis_e_switches
| E axis switches.
UB | axis_e_stop_code
| E axis stop code.
SL | axis_e_reference_position
| E axis reference position.
SL | axis_e_motor_position
| E axis motor position.
SL | axis_e_position_error
| E axis position error.
SL | axis_e_aux_position
| E axis auxiliary position.
SL | axis_e_velocity
| E axis velocity.
SW | axis_e_torque
| E axis torque.
UW | axis_e_analog_in
| E axis analog input.
UW | axis_f_status
| F axis status.
UB | axis_f_switches
| F axis switches.
UB | axis_f_stop_code
| F axis stop code.
SL | axis_f_reference_position
| F axis reference position.
SL | axis_f_motor_position
| F axis motor position.
SL | axis_f_position_error
| F axis position error.
SL | axis_f_aux_position
| F axis auxiliary position.
SL | axis_f_velocity
| F axis velocity.
SW | axis_f_torque
| F axis torque.
UW | axis_f_analog_in
| F axis analog input.
UW | axis_g_status
| G axis status.
UB | axis_g_switches
| G axis switches.
UB | axis_g_stop_code
| G axis stop code.
SL | axis_g_reference_position
| G axis reference position.
SL | axis_g_motor_position
| G axis motor position.
SL | axis_g_position_error
| G axis position error.
SL | axis_g_aux_position
| G axis auxiliary position.
SL | axis_g_velocity
| G axis velocity.
SW | axis_g_torque
| G axis torque.
UW | axis_g_analog_in
| G axis analog input.
UW | axis_h_status
| H axis status.
UB | axis_h_switches
| H axis switches.
UB | axis_h_stop_code
| H axis stop code.
SL | axis_h_reference_position
| H axis reference position.
SL | axis_h_motor_position
| H axis motor position.
SL | axis_h_position_error
| H axis position error.
SL | axis_h_aux_position
| H axis auxiliary position.
SL | axis_h_velocity
| H axis velocity.
SW | axis_h_torque
| H axis torque.
UW | axis_h_analog_in
| H axis analog input.

## Detailed Description

Data record struct for DMC-2103 controllers.

Definition at line 1481 of file gclib.cs.

## Member Function Documentation

## ◆ byte_array()

byte[] gclib.GDataRecord2103.byte_array | ( |  | ) |
| inline

Returns the data record as a byte array and allows for access to individual bytes.

Implements gclib.GDataRecord.

Definition at line 1483 of file gclib.cs.

## Member Data Documentation

## ◆ header_0

UB gclib.GDataRecord2103.header_0

1st Byte of Header.

Definition at line 1487 of file gclib.cs.

## ◆ header_1

UB gclib.GDataRecord2103.header_1

2nd Byte of Header.

Definition at line 1488 of file gclib.cs.

## ◆ header_2

UB gclib.GDataRecord2103.header_2

3rd Byte of Header.

Definition at line 1489 of file gclib.cs.

## ◆ header_3

UB gclib.GDataRecord2103.header_3

4th Byte of Header.

Definition at line 1490 of file gclib.cs.

## ◆ sample_number

UW gclib.GDataRecord2103.sample_number

sample number.

Definition at line 1492 of file gclib.cs.

## ◆ input_bank_0

UB gclib.GDataRecord2103.input_bank_0

general input bank 0 (inputs 1-8).

Definition at line 1494 of file gclib.cs.

## ◆ input_bank_1

UB gclib.GDataRecord2103.input_bank_1

general input bank 1 (inputs 9-16).

Definition at line 1495 of file gclib.cs.

## ◆ input_bank_2

UB gclib.GDataRecord2103.input_bank_2

general input bank 2 (inputs 17-24).

Definition at line 1496 of file gclib.cs.

## ◆ input_bank_3

UB gclib.GDataRecord2103.input_bank_3

general input bank 3 (inputs 25-32).

Definition at line 1497 of file gclib.cs.

## ◆ input_bank_4

UB gclib.GDataRecord2103.input_bank_4

general input bank 4 (inputs 33-40).

Definition at line 1498 of file gclib.cs.

## ◆ input_bank_5

UB gclib.GDataRecord2103.input_bank_5

general input bank 5 (inputs 41-48).

Definition at line 1499 of file gclib.cs.

## ◆ input_bank_6

UB gclib.GDataRecord2103.input_bank_6

general input bank 6 (inputs 49-56).

Definition at line 1500 of file gclib.cs.

## ◆ input_bank_7

UB gclib.GDataRecord2103.input_bank_7

general input bank 7 (inputs 57-64).

Definition at line 1501 of file gclib.cs.

## ◆ input_bank_8

UB gclib.GDataRecord2103.input_bank_8

general input bank 8 (inputs 65-72).

Definition at line 1502 of file gclib.cs.

## ◆ input_bank_9

UB gclib.GDataRecord2103.input_bank_9

general input bank 9 (inputs 73-80).

Definition at line 1503 of file gclib.cs.

## ◆ output_bank_0

UB gclib.GDataRecord2103.output_bank_0

general output bank 0 (outputs 1-8).

Definition at line 1505 of file gclib.cs.

## ◆ output_bank_1

UB gclib.GDataRecord2103.output_bank_1

general output bank 1 (outputs 9-16).

Definition at line 1506 of file gclib.cs.

## ◆ output_bank_2

UB gclib.GDataRecord2103.output_bank_2

general output bank 2 (outputs 17-24).

Definition at line 1507 of file gclib.cs.

## ◆ output_bank_3

UB gclib.GDataRecord2103.output_bank_3

general output bank 3 (outputs 25-32).

Definition at line 1508 of file gclib.cs.

## ◆ output_bank_4

UB gclib.GDataRecord2103.output_bank_4

general output bank 4 (outputs 33-40).

Definition at line 1509 of file gclib.cs.

## ◆ output_bank_5

UB gclib.GDataRecord2103.output_bank_5

general output bank 5 (outputs 41-48).

Definition at line 1510 of file gclib.cs.

## ◆ output_bank_6

UB gclib.GDataRecord2103.output_bank_6

general output bank 6 (outputs 49-56).

Definition at line 1511 of file gclib.cs.

## ◆ output_bank_7

UB gclib.GDataRecord2103.output_bank_7

general output bank 7 (outputs 57-64).

Definition at line 1512 of file gclib.cs.

## ◆ output_bank_8

UB gclib.GDataRecord2103.output_bank_8

general output bank 8 (outputs 65-72).

Definition at line 1513 of file gclib.cs.

## ◆ output_bank_9

UB gclib.GDataRecord2103.output_bank_9

general output bank 9 (outputs 73-80).

Definition at line 1514 of file gclib.cs.

## ◆ error_code

UB gclib.GDataRecord2103.error_code

error code.

Definition at line 1516 of file gclib.cs.

## ◆ general_status

UB gclib.GDataRecord2103.general_status

general status

Definition at line 1517 of file gclib.cs.

## ◆ s_plane_segment_count

UW gclib.GDataRecord2103.s_plane_segment_count

segment count of coordinated move for S plane.

Definition at line 1519 of file gclib.cs.

## ◆ s_plane_move_status

UW gclib.GDataRecord2103.s_plane_move_status

coordinated move status for S plane.

Definition at line 1520 of file gclib.cs.

## ◆ s_distance

SL gclib.GDataRecord2103.s_distance

distance traveled in coordinated move for S plane.

Definition at line 1521 of file gclib.cs.

## ◆ t_plane_segment_count

UW gclib.GDataRecord2103.t_plane_segment_count

segment count of coordinated move for T plane.

Definition at line 1523 of file gclib.cs.

## ◆ t_plane_move_status

UW gclib.GDataRecord2103.t_plane_move_status

Coordinated move status for T plane.

Definition at line 1524 of file gclib.cs.

## ◆ t_distance

SL gclib.GDataRecord2103.t_distance

distance traveled in coordinated move for T plane.

Definition at line 1525 of file gclib.cs.

## ◆ axis_a_status

UW gclib.GDataRecord2103.axis_a_status

A axis status.

Definition at line 1527 of file gclib.cs.

## ◆ axis_a_switches

UB gclib.GDataRecord2103.axis_a_switches

A axis switches.

Definition at line 1528 of file gclib.cs.

## ◆ axis_a_stop_code

UB gclib.GDataRecord2103.axis_a_stop_code

A axis stop code.

Definition at line 1529 of file gclib.cs.

## ◆ axis_a_reference_position

SL gclib.GDataRecord2103.axis_a_reference_position

A axis reference position.

Definition at line 1530 of file gclib.cs.

## ◆ axis_a_motor_position

SL gclib.GDataRecord2103.axis_a_motor_position

A axis motor position.

Definition at line 1531 of file gclib.cs.

## ◆ axis_a_position_error

SL gclib.GDataRecord2103.axis_a_position_error

A axis position error.

Definition at line 1532 of file gclib.cs.

## ◆ axis_a_aux_position

SL gclib.GDataRecord2103.axis_a_aux_position

A axis auxiliary position.

Definition at line 1533 of file gclib.cs.

## ◆ axis_a_velocity

SL gclib.GDataRecord2103.axis_a_velocity

A axis velocity.

Definition at line 1534 of file gclib.cs.

## ◆ axis_a_torque

SW gclib.GDataRecord2103.axis_a_torque

A axis torque.

Definition at line 1535 of file gclib.cs.

## ◆ axis_a_analog_in

UW gclib.GDataRecord2103.axis_a_analog_in

A axis analog input.

Definition at line 1536 of file gclib.cs.

## ◆ axis_b_status

UW gclib.GDataRecord2103.axis_b_status

B axis status.

Definition at line 1538 of file gclib.cs.

## ◆ axis_b_switches

UB gclib.GDataRecord2103.axis_b_switches

B axis switches.

Definition at line 1539 of file gclib.cs.

## ◆ axis_b_stop_code

UB gclib.GDataRecord2103.axis_b_stop_code

B axis stop code.

Definition at line 1540 of file gclib.cs.

## ◆ axis_b_reference_position

SL gclib.GDataRecord2103.axis_b_reference_position

B axis reference position.

Definition at line 1541 of file gclib.cs.

## ◆ axis_b_motor_position

SL gclib.GDataRecord2103.axis_b_motor_position

B axis motor position.

Definition at line 1542 of file gclib.cs.

## ◆ axis_b_position_error

SL gclib.GDataRecord2103.axis_b_position_error

B axis position error.

Definition at line 1543 of file gclib.cs.

## ◆ axis_b_aux_position

SL gclib.GDataRecord2103.axis_b_aux_position

B axis auxiliary position.

Definition at line 1544 of file gclib.cs.

## ◆ axis_b_velocity

SL gclib.GDataRecord2103.axis_b_velocity

B axis velocity.

Definition at line 1545 of file gclib.cs.

## ◆ axis_b_torque

SW gclib.GDataRecord2103.axis_b_torque

B axis torque.

Definition at line 1546 of file gclib.cs.

## ◆ axis_b_analog_in

UW gclib.GDataRecord2103.axis_b_analog_in

B axis analog input.

Definition at line 1547 of file gclib.cs.

## ◆ axis_c_status

UW gclib.GDataRecord2103.axis_c_status

C axis status.

Definition at line 1549 of file gclib.cs.

## ◆ axis_c_switches

UB gclib.GDataRecord2103.axis_c_switches

C axis switches.

Definition at line 1550 of file gclib.cs.

## ◆ axis_c_stop_code

UB gclib.GDataRecord2103.axis_c_stop_code

C axis stop code.

Definition at line 1551 of file gclib.cs.

## ◆ axis_c_reference_position

SL gclib.GDataRecord2103.axis_c_reference_position

C axis reference position.

Definition at line 1552 of file gclib.cs.

## ◆ axis_c_motor_position

SL gclib.GDataRecord2103.axis_c_motor_position

C axis motor position.

Definition at line 1553 of file gclib.cs.

## ◆ axis_c_position_error

SL gclib.GDataRecord2103.axis_c_position_error

C axis position error.

Definition at line 1554 of file gclib.cs.

## ◆ axis_c_aux_position

SL gclib.GDataRecord2103.axis_c_aux_position

C axis auxiliary position.

Definition at line 1555 of file gclib.cs.

## ◆ axis_c_velocity

SL gclib.GDataRecord2103.axis_c_velocity

C axis velocity.

Definition at line 1556 of file gclib.cs.

## ◆ axis_c_torque

SW gclib.GDataRecord2103.axis_c_torque

C axis torque.

Definition at line 1557 of file gclib.cs.

## ◆ axis_c_analog_in

UW gclib.GDataRecord2103.axis_c_analog_in

C axis analog input.

Definition at line 1558 of file gclib.cs.

## ◆ axis_d_status

UW gclib.GDataRecord2103.axis_d_status

D axis status.

Definition at line 1560 of file gclib.cs.

## ◆ axis_d_switches

UB gclib.GDataRecord2103.axis_d_switches

D axis switches.

Definition at line 1561 of file gclib.cs.

## ◆ axis_d_stop_code

UB gclib.GDataRecord2103.axis_d_stop_code

D axis stop code.

Definition at line 1562 of file gclib.cs.

## ◆ axis_d_reference_position

SL gclib.GDataRecord2103.axis_d_reference_position

D axis reference position.

Definition at line 1563 of file gclib.cs.

## ◆ axis_d_motor_position

SL gclib.GDataRecord2103.axis_d_motor_position

D axis motor position.

Definition at line 1564 of file gclib.cs.

## ◆ axis_d_position_error

SL gclib.GDataRecord2103.axis_d_position_error

D axis position error.

Definition at line 1565 of file gclib.cs.

## ◆ axis_d_aux_position

SL gclib.GDataRecord2103.axis_d_aux_position

D axis auxiliary position.

Definition at line 1566 of file gclib.cs.

## ◆ axis_d_velocity

SL gclib.GDataRecord2103.axis_d_velocity

D axis velocity.

Definition at line 1567 of file gclib.cs.

## ◆ axis_d_torque

SW gclib.GDataRecord2103.axis_d_torque

D axis torque.

Definition at line 1568 of file gclib.cs.

## ◆ axis_d_analog_in

UW gclib.GDataRecord2103.axis_d_analog_in

D axis analog input.

Definition at line 1569 of file gclib.cs.

## ◆ axis_e_status

UW gclib.GDataRecord2103.axis_e_status

E axis status.

Definition at line 1571 of file gclib.cs.

## ◆ axis_e_switches

UB gclib.GDataRecord2103.axis_e_switches

E axis switches.

Definition at line 1572 of file gclib.cs.

## ◆ axis_e_stop_code

UB gclib.GDataRecord2103.axis_e_stop_code

E axis stop code.

Definition at line 1573 of file gclib.cs.

## ◆ axis_e_reference_position

SL gclib.GDataRecord2103.axis_e_reference_position

E axis reference position.

Definition at line 1574 of file gclib.cs.

## ◆ axis_e_motor_position

SL gclib.GDataRecord2103.axis_e_motor_position

E axis motor position.

Definition at line 1575 of file gclib.cs.

## ◆ axis_e_position_error

SL gclib.GDataRecord2103.axis_e_position_error

E axis position error.

Definition at line 1576 of file gclib.cs.

## ◆ axis_e_aux_position

SL gclib.GDataRecord2103.axis_e_aux_position

E axis auxiliary position.

Definition at line 1577 of file gclib.cs.

## ◆ axis_e_velocity

SL gclib.GDataRecord2103.axis_e_velocity

E axis velocity.

Definition at line 1578 of file gclib.cs.

## ◆ axis_e_torque

SW gclib.GDataRecord2103.axis_e_torque

E axis torque.

Definition at line 1579 of file gclib.cs.

## ◆ axis_e_analog_in

UW gclib.GDataRecord2103.axis_e_analog_in

E axis analog input.

Definition at line 1580 of file gclib.cs.

## ◆ axis_f_status

UW gclib.GDataRecord2103.axis_f_status

F axis status.

Definition at line 1582 of file gclib.cs.

## ◆ axis_f_switches

UB gclib.GDataRecord2103.axis_f_switches

F axis switches.

Definition at line 1583 of file gclib.cs.

## ◆ axis_f_stop_code

UB gclib.GDataRecord2103.axis_f_stop_code

F axis stop code.

Definition at line 1584 of file gclib.cs.

## ◆ axis_f_reference_position

SL gclib.GDataRecord2103.axis_f_reference_position

F axis reference position.

Definition at line 1585 of file gclib.cs.

## ◆ axis_f_motor_position

SL gclib.GDataRecord2103.axis_f_motor_position

F axis motor position.

Definition at line 1586 of file gclib.cs.

## ◆ axis_f_position_error

SL gclib.GDataRecord2103.axis_f_position_error

F axis position error.

Definition at line 1587 of file gclib.cs.

## ◆ axis_f_aux_position

SL gclib.GDataRecord2103.axis_f_aux_position

F axis auxiliary position.

Definition at line 1588 of file gclib.cs.

## ◆ axis_f_velocity

SL gclib.GDataRecord2103.axis_f_velocity

F axis velocity.

Definition at line 1589 of file gclib.cs.

## ◆ axis_f_torque

SW gclib.GDataRecord2103.axis_f_torque

F axis torque.

Definition at line 1590 of file gclib.cs.

## ◆ axis_f_analog_in

UW gclib.GDataRecord2103.axis_f_analog_in

F axis analog input.

Definition at line 1591 of file gclib.cs.

## ◆ axis_g_status

UW gclib.GDataRecord2103.axis_g_status

G axis status.

Definition at line 1593 of file gclib.cs.

## ◆ axis_g_switches

UB gclib.GDataRecord2103.axis_g_switches

G axis switches.

Definition at line 1594 of file gclib.cs.

## ◆ axis_g_stop_code

UB gclib.GDataRecord2103.axis_g_stop_code

G axis stop code.

Definition at line 1595 of file gclib.cs.

## ◆ axis_g_reference_position

SL gclib.GDataRecord2103.axis_g_reference_position

G axis reference position.

Definition at line 1596 of file gclib.cs.

## ◆ axis_g_motor_position

SL gclib.GDataRecord2103.axis_g_motor_position

G axis motor position.

Definition at line 1597 of file gclib.cs.

## ◆ axis_g_position_error

SL gclib.GDataRecord2103.axis_g_position_error

G axis position error.

Definition at line 1598 of file gclib.cs.

## ◆ axis_g_aux_position

SL gclib.GDataRecord2103.axis_g_aux_position

G axis auxiliary position.

Definition at line 1599 of file gclib.cs.

## ◆ axis_g_velocity

SL gclib.GDataRecord2103.axis_g_velocity

G axis velocity.

Definition at line 1600 of file gclib.cs.

## ◆ axis_g_torque

SW gclib.GDataRecord2103.axis_g_torque

G axis torque.

Definition at line 1601 of file gclib.cs.

## ◆ axis_g_analog_in

UW gclib.GDataRecord2103.axis_g_analog_in

G axis analog input.

Definition at line 1602 of file gclib.cs.

## ◆ axis_h_status

UW gclib.GDataRecord2103.axis_h_status

H axis status.

Definition at line 1604 of file gclib.cs.

## ◆ axis_h_switches

UB gclib.GDataRecord2103.axis_h_switches

H axis switches.

Definition at line 1605 of file gclib.cs.

## ◆ axis_h_stop_code

UB gclib.GDataRecord2103.axis_h_stop_code

H axis stop code.

Definition at line 1606 of file gclib.cs.

## ◆ axis_h_reference_position

SL gclib.GDataRecord2103.axis_h_reference_position

H axis reference position.

Definition at line 1607 of file gclib.cs.

## ◆ axis_h_motor_position

SL gclib.GDataRecord2103.axis_h_motor_position

H axis motor position.

Definition at line 1608 of file gclib.cs.

## ◆ axis_h_position_error

SL gclib.GDataRecord2103.axis_h_position_error

H axis position error.

Definition at line 1609 of file gclib.cs.

## ◆ axis_h_aux_position

SL gclib.GDataRecord2103.axis_h_aux_position

H axis auxiliary position.

Definition at line 1610 of file gclib.cs.

## ◆ axis_h_velocity

SL gclib.GDataRecord2103.axis_h_velocity

H axis velocity.

Definition at line 1611 of file gclib.cs.

## ◆ axis_h_torque

SW gclib.GDataRecord2103.axis_h_torque

H axis torque.

Definition at line 1612 of file gclib.cs.

## ◆ axis_h_analog_in

UW gclib.GDataRecord2103.axis_h_analog_in

H axis analog input.

Definition at line 1613 of file gclib.cs.

The documentation for this struct was generated from the following file:

- gclib.cs